﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace ScorchedEarth
{
    public class Parameter : INotifyPropertyChanged
    {
        string name = String.Empty;
        public string Name
        {
            get
            {
                return name;
            }
            set
            {
                if (value != null && value != name)
                {
                    name = value;
                    OnPropertyChanged("Name");
                }
            }
        }
        double myValue = 0;
        public double Value
        {
            get
            {
                return myValue;
            }
            set
            {
                if (value != null && value != myValue)
                {
                    myValue = value;
                    OnPropertyChanged("Value");
                }
            }
        }

        #region INotifyPropertyChanged Members
        public event PropertyChangedEventHandler PropertyChanged;
        #endregion

        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}
